For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Us
API ReferenceDeveloper Guides
API ReferenceDeveloper Guides
    • Getting Started
  • Customer Data API
  • Transaction Data API
      • GETCheck if a transaction alert exists
      • POSTAdd new transaction alert(s)
      • PUTUpdate an existing transaction alert
Contact Us
LogoLogo
Transaction Data APIAlerts

Update an existing transaction alert

PUT
https://transaction-api.cable.tech/transaction_alert
PUT
/transaction_alert
$curl -X PUT https://transaction-api.cable.tech/transaction_alert \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "alert_id": "alert-9f8b7c6d5e4a3b2c1d0e",
> "timestamp": "2024-01-15T09:30:00Z"
>}'
1{
2 "alert_id": "alert-9f8b7c6d5e4a3b2c1d0e",
3 "timestamp": "2024-01-15T09:30:00Z",
4 "status": "PENDING",
5 "check_type": "INLINE_MONITORING",
6 "related_check_id": "check-4a3b2c1d0e9f8b7c6d5e",
7 "additional_properties": [
8 {
9 "key": "transaction_amount",
10 "value": "1500.00",
11 "type": "NUMBER",
12 "description": "The amount involved in the transaction alert"
13 }
14 ]
15}
Was this page helpful?
Previous

Check if a transaction suspicious activity exists

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

Transaction alert data to update, referenced by ‘alert_id’. The ‘timestamp’ field represents the update time. Only the fields to be updated need to be included.

alert_idstringRequired
Unique identifier for a alert belonging to a transaction. This is the primary key for a transaction alert and should be unique across all transaction alerts. Updates to a transaction alert should be made using this identifier.
timestampdatetimeRequired
The time of the transaction alert. This should be in ISO 8601 format. When adding a new transaction alert, this field represents the creation time. When updating a transaction alert, this represents the time of the update.
statusenumOptional
Allowed values:
check_typeenumOptional
The type of monitoring check that triggered the alert.
Allowed values:
related_check_idstringOptional
Unique identifier for a transaction check for which the alert belongs to.
additional_propertieslist of objectsOptional
Additional metadata that relates to a transaction alert.

Response

Transaction alert updated successfully
alert_idstring
Unique identifier for a alert belonging to a transaction. This is the primary key for a transaction alert and should be unique across all transaction alerts. Updates to a transaction alert should be made using this identifier.
timestampdatetime
The time of the transaction alert. This should be in ISO 8601 format. When adding a new transaction alert, this field represents the creation time. When updating a transaction alert, this represents the time of the update.
statusenum
Allowed values:
check_typeenum
The type of monitoring check that triggered the alert.
Allowed values:
related_check_idstring
Unique identifier for a transaction check for which the alert belongs to.
additional_propertieslist of objects
Additional metadata that relates to a transaction alert.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error